Page MenuHomePhabricator

rack/setup/install stat1007.eqiad.wmnet (stat1005 user replacement)
Closed, ResolvedPublic

Description

This task will track the racking, setup, and installation of a new statistic box, stat1007, for Analytics use.

Racking proposal: Ideally this won't overlap with stat100[456] which are in A4, D1, and D3 respectively. Otherwise there seems to be no restrictions, any 1G rack will do.

  • - receive in system on procurement task T196345
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, analytics1-b-eqiad)
    • end on-site specific steps
  • - production dns entries added (analytics1-b-eqiad subnet for its row)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch is default)
  • - puppet accept/initial run
  • - handoff for service implementation

Details

Related Gerrit Patches:
operations/dns : masterAdd IPv6 PTR record for stat1007
operations/puppet : productionAdd stat1007 as role::spare::system
operations/dns : masterAdd stat1007 to analytics-1-b
operations/dns : masterAdding production dns stat1007
operations/dns : masteradding mgmt dns for new host stat1007

Event Timeline

RobH triaged this task as Normal priority.Sep 7 2018, 10:47 PM
RobH created this task.
RobH edited projects, added ops-eqiad; removed procurement.
RobH removed a subscriber: Pswaby.

So my racking proposal may be overly restrictive. I'm not sure what services will share between stat boxes, so to be safe I simply stated not to rack it in any of the3 racks the existing stat boxes are racked in.

Racking proposal: Ideally this won't overlap with stat100[456] which are in A4, D1, and D3 respectively. Otherwise there seems to be no restrictions, any 1G rack will do.

RobH moved this task from Incoming to Blocked on the Analytics board.Sep 7 2018, 10:48 PM
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.
Peachey88 updated the task description. (Show Details)Sep 8 2018, 3:14 AM
elukey added a comment.EditedSep 8 2018, 10:36 AM

I like the racking proposal! Please also remember that it needs to be put into the Analytics VLAN :) (the task's description doesn't mention it afaics)

RobH updated the task description. (Show Details)Sep 10 2018, 6:54 PM
Cmjohnson updated the task description. (Show Details)Sep 12 2018, 3:20 PM

Change 460037 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] adding mgmt dns for new host stat1007

https://gerrit.wikimedia.org/r/460037

Change 460037 merged by Cmjohnson:
[operations/dns@master] adding mgmt dns for new host stat1007

https://gerrit.wikimedia.org/r/460037

Cmjohnson reassigned this task from Cmjohnson to RobH.Sep 12 2018, 3:45 PM
Cmjohnson updated the task description. (Show Details)

@RobH all yours to finish installations

@Cmjohnson quick question (might be wrong since I am a n00b with Juniper): is stat1007 in the analytics VLAN?

elukey@asw2-b-eqiad> show interfaces descriptions | match stat
ge-3/0/2        up    down stat1007

Logical          Vlan          TAG     MAC         STP         Logical           Tagging
interface        members               limit       state       interface flags
ge-3/0/2.0                             294912                   DN                untagged
                 private1-b-eqiad 1018 294912      Discarding                     untagged
elukey updated the task description. (Show Details)Oct 10 2018, 4:58 PM
elukey updated the task description. (Show Details)

Change 465664 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding production dns stat1007

https://gerrit.wikimedia.org/r/465664

Change 465664 merged by Cmjohnson:
[operations/dns@master] Adding production dns stat1007

https://gerrit.wikimedia.org/r/465664

Change 465666 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Add stat1007 to analytics-1-b

https://gerrit.wikimedia.org/r/465666

Change 465666 abandoned by Elukey:
Add stat1007 to analytics-1-b

https://gerrit.wikimedia.org/r/465666

elukey moved this task from Backlog to In Progress on the User-Elukey board.Oct 11 2018, 7:26 AM

Change 466030 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Add stat1007 as role::spare::system

https://gerrit.wikimedia.org/r/466030

Change 466030 merged by Elukey:
[operations/puppet@production] Add stat1007 as role::spare::system

https://gerrit.wikimedia.org/r/466030

Script wmf-auto-reimage was launched by elukey on neodymium.eqiad.wmnet for hosts:

stat1007.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/201810110806_elukey_970_stat1007_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['stat1007.eqiad.wmnet']

and were ALL successful.

Change 466193 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Add IPv6 PTR record for stat1007

https://gerrit.wikimedia.org/r/466193

Change 466193 merged by Elukey:
[operations/dns@master] Add IPv6 PTR record for stat1007

https://gerrit.wikimedia.org/r/466193

elukey closed this task as Resolved.Oct 11 2018, 8:54 AM
elukey claimed this task.
elukey updated the task description. (Show Details)

Done! Will follow up in another task to replace stat1005 with this new host.